window.Gleam.initSearch([{"doc":"glzoneinfo","title":"glzoneinfo","content":"","url":"index.html"},{"doc":"glzoneinfo","title":"Date","content":"pub type Date {\n  Date(month: Int, week: Int, day: Int)\n}\n\nDate(month: Int, week: Int, day: Int)\n\n\nSynonyms:\nglzoneinfo.Date\nglzoneinfo Date","url":"glzoneinfo.html#Date"},{"doc":"glzoneinfo","title":"Errors","content":"pub type Errors {\n  InvalidZoneName\n  ParseError(String, BitArray)\n}\n\nInvalidZoneName\n\n\nParseError(String, BitArray)\n\n\nSynonyms:\nglzoneinfo.Errors\nglzoneinfo Errors","url":"glzoneinfo.html#Errors"},{"doc":"glzoneinfo","title":"Header","content":"pub type Header {\n  Header(\n    utc_count: Int,\n    wall_count: Int,\n    leap_count: Int,\n    transition_count: Int,\n    type_count: Int,\n    abbrev_length: Int,\n  )\n}\n\nHeader(\n  utc_count: Int,\n  wall_count: Int,\n  leap_count: Int,\n  transition_count: Int,\n  type_count: Int,\n  abbrev_length: Int,\n)\n\n\nSynonyms:\nglzoneinfo.Header\nglzoneinfo Header","url":"glzoneinfo.html#Header"},{"doc":"glzoneinfo","title":"LeapSecond","content":"pub type LeapSecond {\n  LeapSecond(epoch: Int, correction: Int)\n}\n\nLeapSecond(epoch: Int, correction: Int)\n\n\nSynonyms:\nglzoneinfo.LeapSecond\nglzoneinfo LeapSecond","url":"glzoneinfo.html#LeapSecond"},{"doc":"glzoneinfo","title":"Rule","content":"pub type Rule {\n  Rule(\n    std_abbr: option.Option(String),\n    std_offset: Int,\n    dst_abbr: option.Option(String),\n    dst_offset: Int,\n    start_time: option.Option(Date),\n    end_time: option.Option(Date),\n  )\n}\n\nRule(\n  std_abbr: option.Option(String),\n  std_offset: Int,\n  dst_abbr: option.Option(String),\n  dst_offset: Int,\n  start_time: option.Option(Date),\n  end_time: option.Option(Date),\n)\n\n\nSynonyms:\nglzoneinfo.Rule\nglzoneinfo Rule","url":"glzoneinfo.html#Rule"},{"doc":"glzoneinfo","title":"Time","content":"pub type Time {\n  Time(hours: Int, minutes: Int, seconds: Int)\n}\n\nTime(hours: Int, minutes: Int, seconds: Int)\n\n\nSynonyms:\nglzoneinfo.Time\nglzoneinfo Time","url":"glzoneinfo.html#Time"},{"doc":"glzoneinfo","title":"TransitionInfo","content":"pub type TransitionInfo {\n  TransitionInfo(\n    gmt_offset: Int,\n    starts_at: Int,\n    is_dst: Bool,\n    abbrev_index: Int,\n    abbreviation: String,\n    is_std: Bool,\n    is_utc: Bool,\n  )\n}\n\nTransitionInfo(\n  gmt_offset: Int,\n  starts_at: Int,\n  is_dst: Bool,\n  abbrev_index: Int,\n  abbreviation: String,\n  is_std: Bool,\n  is_utc: Bool,\n)\n\n\nSynonyms:\nglzoneinfo.TransitionInfo\nglzoneinfo TransitionInfo","url":"glzoneinfo.html#TransitionInfo"},{"doc":"glzoneinfo","title":"Version","content":"pub type Version {\n  V1\n  V2\n  V3\n}\n\nV1\n\n\nV2\n\n\nV3\n\n\nSynonyms:\nglzoneinfo.Version\nglzoneinfo Version","url":"glzoneinfo.html#Version"},{"doc":"glzoneinfo","title":"Zone","content":"pub type Zone {\n  Zone(\n    version: Version,\n    transitions: List(TransitionInfo),\n    leaps: List(LeapSecond),\n    rule: option.Option(Rule),\n  )\n}\n\nZone(\n  version: Version,\n  transitions: List(TransitionInfo),\n  leaps: List(LeapSecond),\n  rule: option.Option(Rule),\n)\n\n\nSynonyms:\nglzoneinfo.Zone\nglzoneinfo Zone","url":"glzoneinfo.html#Zone"},{"doc":"glzoneinfo","title":"parse","content":"pub fn parse(binary: BitArray) -&gt; Result(Zone, Errors)\n\nSynonyms:\nglzoneinfo.parse\nglzoneinfo parse","url":"glzoneinfo.html#parse"},{"doc":"glzoneinfo","title":"glzoneinfo","content":" Parse the Time Zone Information Format (TZif) described in [RFC 8536](https://datatracker.ietf.org/doc/html/rfc8536)\n At the moment it supports versions 1 and 2. Version 3 files will be parsed, but include only information up to V2.","url":"glzoneinfo.html"}]);